# Python: module skeinforge_application.skeinforge_plugins.meta_plugins.polyfile

skeinforge_application.skeinforge_plugins.meta_plugins.polyfile ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/meta_plugins/polyfile.py

Previous / Next / Contents

`
Polyfile is a script to choose whether the skeinforge toolchain will operate on one file or all the files in a directory.
Settings
Polyfile Choice
Execute File
Execute All Unmodified Files in a Directory'
Examples
`

## Settings

### Polyfile Choice

Default is 'Execute File',

#### Execute File

When selected, the toolchain will operate on only the chosen file.

#### Execute All Unmodified Files in a Directory'

When selected, the toolchain will operate on all the unmodifed files in the directory that the chosen file is in.

## Examples

Examples of using polyfile follow below.
> python polyfile.py
This brings up the polyfile dialog.
> python
Python 2.5.1 (r251:54863, Sep 22 2007, 01:43:31)
[GCC 4.2.1 (SUSE Linux)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import polyfile
>>> polyfile.main()
This brings up the polyfile dialog.
>>> polyfile.isDirectorySetting()
This returns true if 'Execute All Unmodified Files in a Directory' is chosen and returns false if 'Execute File' is chosen.

Previous / Next / Contents

Modules

``

__init__ | skeinforge_application.skeinforge_utilities.skeinforge_polyfile |  |

Functions

``

getNewRepository()
  `Get the repository constructor.`

main()
  `Display the file or directory dialog.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GPL 3.0' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)